.ic-cf {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

.ic-contact-header {
    padding: var(--basic-margin);
    padding-top: 0px;
}

.ic-contact-header .ic-contact-heading-2 a {
    font-family: "Blauer Nue";
    font-weight: 400;
}

.ic-contact-header .ic-contact-heading-3 a {
    font-family: "Heuvel Grotesk";
    font-weight: 900;
}

.ic-contact-header .ic-contact-heading-4 a {
    font-family: "NewBlack Typeface";
    font-weight: 400;
}

.ic-contact-heading-2 .ic-icon {
    font-size: 6vw;
    margin-right: 1vw;
}

.ic-contact-heading-3 .ic-icon {
    font-size: 10vw;
    margin-left: 1vw;
}

.ic-contact-heading-4 .ic-icon {
    font-size: 7vw;
    margin-right: 1vw;
}

.ic-contact-header .ic-iconbutton {
    font-size: 16vw;
    transition: transform 0.25s ease-in-out;
}

@media screen and (min-width: 767px) {
    .ic-contact-heading-2 .ic-icon {
        font-size: 5vw;
    }

    .ic-contact-heading-3 .ic-icon {
        font-size: 7vw;
    }

    .ic-contact-heading-4 .ic-icon {
        font-size: 5vw;
    }

    .ic-contact-header .ic-iconbutton {
        font-size: 8vw;
    }
}

.ic-contact-header .ic-iconbutton:hover {
    transform: scale(1.1);
}

.ic-contact-header a {
    color: #ffffff !important;
}

.ic-contact-header a:after {
    background-color: #ffffff;
    height: 0.05em;
}

.ic-cf-modal-bg {
    position: fixed;
    display: flex;
    justify-content: center;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 3;
}

.ic-cf-modal {
    display: flex;
    flex-direction: column;
    width: 80vw;
    align-self: center;
    box-shadow: 0.75rem 0.75rem 0 0 #000000;
    justify-content: center;
    z-index: 5;
}

.ic-cf-modal-inner {
    display: flex;
    flex-direction: column;
    position: relative;
    padding: 5vh 6vw;
}

.ic-cf-modal-graphic {
    position: absolute;
    align-self: center;
    rotate: 45deg;
    width: 110vw;
    z-index: 0;
}

.ic-cf-disclaimer {
    font-size: 1rem;
}

.ic-cf-disclaimer a {
    font-size: 1rem;
}

@media screen and (min-width: 767px) {
    .ic-cf-modal {
        width: 35rem;
    }

    .ic-cf-modal-inner {
        padding: 3rem 4rem;
    }

    .ic-cf-modal-button {
        align-self: end;
    }

    .ic-cf-modal-graphic {
        width: 40rem;
    }

    .ic-cf-disclaimer {
        font-size: 1.2rem;
    }

    .ic-cf-disclaimer a {
    font-size: 1.2rem;
}
}

@media screen and (min-width: 1024px) {
    .ic-cf-modal {
        width: 40rem;
    }

    .ic-cf-modal-graphic {
        width: 45rem;
    }
}

.ic-cf-form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.ic-cf-details-div {
    display: grid;
    grid-template-columns: 1fr;
    gap: 15px;
    margin-bottom: 20px;
}

.ic-cf-input-text {
    display: flex;
    flex: 1;
    font-family: "Blauer Nue";
    font-size: 1.3rem;
    border: 5px black solid;
    box-shadow: 10px 10px 0 0 #000000;
    transition: box-shadow 0.10s ease-in-out;
    min-width: 0;
    padding: 4px 6px;
}

.ic-cf-input-text:hover {
    box-shadow: 0px 0px 0 0 #000;
}

.ic-cf-payment {
    align-self: center;
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
}

.ic-cf-payment-radio-label {
    display: flex;
    flex-direction: row;
    font-family: "Guton";
    font-size: 1.8rem;
    padding: 0.4em 0.6em;
    white-space: nowrap;
}

.ic-cf-payment-radio-label input[type="radio"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: #000;
    margin: 0 20px 0 0;
    font: inherit;
    width: 1.15em;
    height: 1.15em;
    display: grid;
    place-content: center;
}

.ic-cf-payment-radio-label input[type="radio"]::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    transform: scale(0);
    transition: 0.15s transform cubic-bezier(.68,-0.55,.27,1.55);
    box-shadow: inset 1em 1em #fa3c3c;
}

.ic-cf-payment-radio-label input[type="radio"]:checked::before {
    transform: scale(1);
}

.ic-cf-calendar {
    --gm3-sys-color-primary: #cb2424;
    --gm3-sys-color-secondary-container: #fa3c3c;
}

@media screen and (min-width: 767px) {
    .ic-cf-payment {
        margin-top: 20px;
        flex-direction: row;
        align-self: revert;
        justify-content: space-between;
    }

    .ic-cf-payment-radio-label {
        display: flex;
        flex-direction: row;
        font-family: "Guton";
        font-size: 2.1rem;
        padding: 0px;
    }
}

.ic-cf-input-radio-big {
    display: flex;
    flex: 1;
    font-family: "Guton";
    font-size: 1.3rem;
    border: 5px black solid;
    border-radius: 300px;
    background: none;
    box-shadow: 10px 10px 0 0 #000000;
    min-width: 0;
    padding: 4px 6px;
    transition:
        box-shadow 0.1s ease-in-out,
        background-color 0.1s ease-in-out;
}

.ic-cf-input-radio-big:hover {
    background-color: #b12a2a;
    box-shadow: 0 0 0 0 #000000;
}

.ic-cf-input-radio-selected {
    background-color: #fa3c3c;
    color: #ffffff;
}

.ic-cf-input-text-big {
    margin-bottom: 10px;
}

@media screen and (min-width: 767px) {
    .ic-cf-details-div {
        grid-template-columns: 1fr 1fr;
        gap: 25px;
        margin-bottom: 40px;
    }

    .ic-cf-details-row {
        gap: 30px;
    }

    .ic-cf-input-text {
        font-size: 1.9rem;
        padding: 8px 20px;
    }

    .ic-cf-payment {
        flex-direction: row;
        gap: 30px;
        margin-bottom: 40px;
    }

    .ic-cf-input-radio-big {
        font-size: 1.9rem;
        padding: 8px 20px;
    }

    .ic-cf-input-text-big {
        margin-bottom: 30px;
    }
}

@media screen and (min-width: 1024px) {
    .ic-cf-details-div {
        gap: 30px;
        margin-bottom: 40px;
    }

    .ic-cf-details-row {
        gap: 60px;
    }

    .ic-cf-input-text {
        font-size: 1.9rem;
        padding: 20px 40px;
    }

    .ic-cf-payment {
        flex-direction: row;
        gap: 60px;
        margin-bottom: 40px;
    }

    .ic-cf-input-radio-big {
        font-size: 1.9rem;
        padding: 20px 40px;
    }

    .ic-cf-input-text-big {
        margin-bottom: 30px;
    }
}
